﻿@model IEnumerable<ClientIncomeConcern>
@{
    bool isMarried = ViewBag.IsMarried;
    IEnumerable<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
    int i = 0;
}
<link href="~/css/radio-spinner.css" rel="stylesheet" />
<div class="wizard-content-height">
    <p>
        Uncertainties are a reality throughout our pre-retirement and retirement years. Please identify each concern you have and the degree of your concern.
    </p>
    <form asp-action="saveRetirementIncome" class="form fv-plugins-bootstrap fv-plugins-framework" id="saveRetirement_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
        <button id="btn-save-exit-hidden" class="d-none"></button>
        <h3>Income Concerns</h3>
        @foreach (var item in Model)
        {
            <div class="row income-concerns">
                <input type="hidden" value="@item.Id" name="clientIncomeConcerns[@i].Id" />
                <input type="hidden" value="@item.Guid" name="clientIncomeConcerns[@i].Guid" />
                <input type="hidden" value="@item.DescriptionItemId" name="clientIncomeConcerns[@i].DescriptionItemId" />
                <div class="col-12 font-size-h6 mb-7">
                    <label class="col-form-label font-weight-bold">@item.DescriptionItems.itemDesc</label>
                </div>
                <label class="col-xl-2 label-name font-weight-bold">@ClientName</label>
                <div class="col-xl-10">
                    <div class="radio-pen mt-2">
                        <div id="debt-amount-slider">
                            @foreach (var item1 in Html.GetEnumSelectList<RadioListEnum>())
                            {
                                <label data-debt-amount="@item1.Text">
                                    <input checked="@(item1.Value == ((int)item.radioListforClientEnum).ToString() ? "checked" : null)" value="@item1.Value" type="radio" asp-for="@item.radioListforClientEnum" name="clientIncomeConcerns[@i].radioListforClientEnum">
                                    <span class="debt-amount-pos"></span>
                                </label>
                            }
                        </div>
                    </div>
                </div>
            </div>
            @if (isMarried)
            {
                <div class="row income-concerns">
                    <label class="col-xl-2 label-name font-weight-bold">
                        @SpouseName
                    </label>
                    <div class="col-xl-10">
                        <div class="radio-pen mt-2">
                            <div id="debt-amount-slider">
                                @foreach (var item1 in Html.GetEnumSelectList<RadioListEnum>())
                                {
                                    <label>
                                        <input checked="@(item1.Value == ((int)item.radioListforSpouseEnum).ToString() ? "checked" : null)" value="@item1.Value" type="radio" asp-for="@item.radioListforSpouseEnum" value="@item1.Text" name="clientIncomeConcerns[@i].radioListforSpouseEnum">
                                        <span class="debt-amount-pos"></span>
                                    </label>
                                }
                            </div>
                        </div>
                    </div>
                </div>
            }
            i++;
        }
        <partial name="_WizardFooter" />
    </form>
</div>